Bug 1509461

Summary: Add patches to fix ThinkPad X1 Carbon Gen5 touchpad
Product: [Fedora] Fedora Reporter: Felix Kaechele <felix>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: airlied, ajax, bskeggs, btissoir, ewk, hdegoede, ichavero, itamar, jarodwilson, jeremy, jglisse, john.j5live, jonathan, josef, kernel-maint, labbott, linville, mchehab, mjg59, pbonzini, redhat, steved
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: kernel-4.13.12-200.fc26 kernel-4.13.12-100.fc25 kernel-4.13.12-300.fc27 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-11-14 02:00:25 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Felix Kaechele 2017-11-03 20:25:57 UTC
Some Lenovo ThinkPad X1 Carbon Gen5 (2017) models require two patches to fix issues with the touchpad and trackpoint:

https://patchwork.kernel.org/patch/9987733/
https://patchwork.kernel.org/patch/9987735/

I'd like to request to carry them in the kernel Package until they enter upstream.

I am building a version of the F27 Kernel with the patches enabled in this COPR:
https://copr.fedorainfracloud.org/coprs/heffer/kernel-x1c5/

I have built this version already locally and am successfully using it right now.

Comment 1 Laura Abbott 2017-11-03 22:02:22 UTC
Neither of those patches have a Signed-off-by so I can't bring them in. Besides that, I don't see any record of a maintainer ever looking or acking these patches. These types of patches have tendency to break other machines so I would want a maintainer to review them first.

Ccing Benjamin Tissoires who has experience int his area to see if he has any suggestions.

Comment 2 Benjamin Tissoires 2017-11-06 07:58:31 UTC
The series has just been resubmitted with the SoB:
http://www.spinics.net/lists/linux-input/msg53813.html

And we already discussed this patch with Synaptics and the input maintainer, and they are fine (see http://www.spinics.net/lists/linux-input/msg53690.html and my answer).

Thanks for bringing this to me Laura!

Comment 3 Laura Abbott 2017-11-06 21:12:11 UTC
Thanks for the response, I applied the updated patches to all branches. They should show up in the next kernel version (out in a few days).

Comment 4 Felix Kaechele 2017-11-07 10:58:05 UTC
Thanks for the quick turnaround and collaboration!

Comment 5 Fedora Update System 2017-11-08 22:17:54 UTC
kernel-4.13.12-200.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-31d7720d7e

Comment 6 Fedora Update System 2017-11-08 22:18:18 UTC
kernel-4.13.12-100.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-08a350c878

Comment 7 Fedora Update System 2017-11-09 19:55:19 UTC
kernel-4.13.12-300.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-abda708cee

Comment 8 Gerhard Wiesinger 2017-11-11 07:30:58 UTC
Works also for Fedora 26: https://koji.fedoraproject.org/koji/buildinfo?buildID=996781
kernel-4.13.12-200.fc26

Ready to release to 4.13.* upstream and 4.14 upstream kernels ...

https://bodhi.fedoraproject.org/updates/FEDORA-2017-abda708cee

Comment 9 Gerhard Wiesinger 2017-11-11 07:33:06 UTC
Works also now on a HP xw4400 workstation again

Comment 10 Fedora Update System 2017-11-11 16:02:06 UTC
kernel-4.13.12-100.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-08a350c878

Comment 11 Fedora Update System 2017-11-11 17:29:32 UTC
kernel-4.13.12-200.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-31d7720d7e

Comment 12 Fedora Update System 2017-11-14 02:00:25 UTC
kernel-4.13.12-200.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-11-14 08:51:11 UTC
kernel-4.13.12-100.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-11-14 09:24:34 UTC
kernel-4.13.12-300.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.